Replace session tags
Replace the set of tags that the API key's user has applied to a session. Tags are scoped per user: this endpoint only affects tags added by the calling API key's user and never modifies tags added by the session owner or anyone else. Passing an empty array removes all of the caller's tags from the session. The operation is idempotent, making it suitable for pipelines that periodically reconcile labels onto sessions. Find sessions by these tags with `GET /sessions?tag=...&tagged_by=<caller email>`.
Replace the set of tags that the API key's user has applied to a session. Tags are scoped per user: this endpoint only affects tags added by the calling API key's user and never modifies tags added by the session owner or anyone else. Passing an empty array removes all of the caller's tags from the session. The operation is idempotent, making it suitable for pipelines that periodically reconcile labels onto sessions. Find sessions by these tags with GET /sessions?tag=...&tagged_by=<caller email>.
bearerAuthAuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
session_id*stringThe unique identifier of the session
application/json- body
tags*array<>The complete set of tags the API key's user applies to the session. Pass an empty array to remove all of the caller's tags.
items <= 50The caller's tags on the session were replaced
application/json- response
data*curl -X PUT 'https://your-org.inspect.com/api/public/v1/sessions/string/tags' \ -H 'Content-Type: application/json' \ -d '{ "tags": [ "string" ]}'{ "data": { "tags": [ "string" ] }}